diff -ru asm-2.2.3-orig/src/org/objectweb/asm/commons/SerialVersionUIDAdder.java asm-2.2.3/src/org/objectweb/asm/commons/SerialVersionUIDAdder.java
--- asm-2.2.3-orig/src/org/objectweb/asm/commons/SerialVersionUIDAdder.java	2006-11-19 00:21:09.000000000 -0500
+++ asm-2.2.3/src/org/objectweb/asm/commons/SerialVersionUIDAdder.java	2006-11-19 00:22:12.000000000 -0500
@@ -431,7 +431,7 @@
         try {
             return MessageDigest.getInstance("SHA").digest(value);
         } catch (Exception e) {
-            throw new UnsupportedOperationException(e);
+            throw new UnsupportedOperationException(e.toString());
         }
     }
 
